HTMLMetadataRendererVisitor (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl.renderer
Class HTMLMetadataRendererVisitor

    java.lang.Object
      fr.inrialpes.exmo.align.impl.renderer.HTMLMetadataRendererVisitor

All Implemented Interfaces:
  AlignmentVisitor

    public class HTMLMetadataRendererVisitor

extends Object
implements AlignmentVisitor

Renders an alignment in HTML TODO: - add CSS categories - add resource chooser

Version:
  $Id: HTMLMetadataRendererVisitor.java 1323 2010-03-10 10:54:28Z euzenat $
Author:
  Jérôme Euzenat

Field Summary
`(package private) Alignment` | `alignment`
`(package private) boolean` | `embedded`
`(package private) Hashtable<String,String>` | `nslist`
`(package private) PrintWriter` | `writer`

Constructor Summary
`HTMLMetadataRendererVisitor(PrintWriter writer)`

Method Summary
`void` | `init(Properties p)`
`void` | `visit(Alignment align)`
`void` | `visit(Visitable o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### writer

    PrintWriter writer

### alignment

    Alignment alignment

### nslist

    Hashtable<String,String> nslist

### embedded

    boolean embedded

Constructor Detail

### HTMLMetadataRendererVisitor

    public HTMLMetadataRendererVisitor(PrintWriter writer)

Method Detail

### init

    public void init(Properties p)

  Specified by:
    `init` in interface `AlignmentVisitor`

### visit

    public void visit(Visitable o)
               throws AlignmentException

  Specified by:
    `visit` in interface `AlignmentVisitor`
  Throws:
    `AlignmentException`

### visit

    public void visit(Alignment align)
               throws AlignmentException

  Throws:
    `AlignmentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010